Package org.springframework.test.context.junit4.statements

# Class RunBeforeTestExecutionCallbacks

java.lang.Object
org.junit.runners.model.Statement
org.springframework.test.context.junit4.statements.RunBeforeTestExecutionCallbacks

public class RunBeforeTestExecutionCallbacks extends Statement
`RunBeforeTestExecutionCallbacks` is a custom JUnit `Statement` which allows the Spring TestContext Framework to be plugged into the JUnit 4 execution chain by calling `beforeTestExecution()` on the supplied `TestContextManager`.

NOTE: This class requires JUnit 4.9 or higher.

Since:
  5.0
Author:
  Sam Brannen
See Also:
  - `evaluate()`
  - `RunAfterTestExecutionCallbacks`

## Constructor Summary

Constructors
Constructor
Description
`RunBeforeTestExecutionCallbacks(Statement next, Object testInstance, Method testMethod, TestContextManager testContextManager)`
Construct a new `RunBeforeTestExecutionCallbacks` statement.

## Method Summary

Modifier and Type
Method
Description
`void`
`evaluate()`
Invoke `TestContextManager.beforeTestExecution(Object, Method)` and then evaluate the next `Statement` in the execution chain (typically an instance of `InvokeMethod`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunBeforeTestExecutionCallbacks

public RunBeforeTestExecutionCallbacks(Statement next, Object testInstance, Method testMethod, TestContextManager testContextManager)
Construct a new `RunBeforeTestExecutionCallbacks` statement.

Parameters:
  `next` - the next `Statement` in the execution chain
  `testInstance` - the current test instance (never `null`)
  `testMethod` - the test method which is about to be executed on the test instance
  `testContextManager` - the TestContextManager upon which to call `beforeTestExecution()`

## Method Details

### evaluate

public void evaluate() throws Throwable
Invoke `TestContextManager.beforeTestExecution(Object, Method)` and then evaluate the next `Statement` in the execution chain (typically an instance of `InvokeMethod`).

Specified by:
  `evaluate` in class `Statement`
Throws:
  `Throwable`